Skip to main content
PATCH
/
v2
/
users
/
{user-id}
/
identity-provider-id
/v2/users/{user-id}/identity-provider-id
curl --request PATCH \
  --url https://api.example.com/v2/users/{user-id}/identity-provider-id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "sourceIdentityProviderId": "<string>",
  "targetIdentityProviderId": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Path Parameters

user-id
string
required

Body

application/json

Required authorization: HasRight(ParticipantAdmin)

userId
string
required

User to update

Required

sourceIdentityProviderId
string

Current identity provider ID of the user If omitted, the default IDP is assumed

Optional

targetIdentityProviderId
string

Target identity provider ID of the user If omitted, the default IDP is assumed

Optional

Response

The response is of type UpdateUserIdentityProviderIdResponse · object.